using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
  public class scOrdSectionsInfo
  {
    private int _OrdSectsId;
    private int _OrdShipSplt;
    private int _OrdSectsNum;
    private string _OrdSectsProdNum;
    private string _OrdSectsCryptRt;
    private DateTime _OrdSectsRelMfg;
    private string _OrdSectsCurrWorkCtr;

    public int OrdSectsId
    {
      get
      {
        return this._OrdSectsId;
      }
      set
      {
        this._OrdSectsId = value;
      }
    }

    public int OrdShipSplt
    {
      get
      {
        return this._OrdShipSplt;
      }
      set
      {
        this._OrdShipSplt = value;
      }
    }

    public int OrdSectsNum
    {
      get
      {
        return this._OrdSectsNum;
      }
      set
      {
        this._OrdSectsNum = value;
      }
    }

    public string OrdSectsProdNum
    {
      get
      {
        return this._OrdSectsProdNum;
      }
      set
      {
        this._OrdSectsProdNum = value;
      }
    }

    public string OrdSectsCryptRt
    {
      get
      {
        return this._OrdSectsCryptRt;
      }
      set
      {
        this._OrdSectsCryptRt = value;
      }
    }

    public DateTime OrdSectsRelMfg
    {
      get
      {
        return this._OrdSectsRelMfg;
      }
      set
      {
        this._OrdSectsRelMfg = value;
      }
    }

    public string OrdSectsCurrWorkCtr
    {
      get
      {
        return this._OrdSectsCurrWorkCtr;
      }
      set
      {
        this._OrdSectsCurrWorkCtr = value;
      }
    }

    public scOrdSectionsInfo()
    {
      this._OrdSectsId = 0;
      this._OrdShipSplt = 0;
      this._OrdSectsNum = 0;
      this._OrdSectsProdNum = "";
      this._OrdSectsCryptRt = "";
      this._OrdSectsRelMfg = Conversions.ToDate("01/01/1901");
      this._OrdSectsCurrWorkCtr = "";
    }
  }
}
